Package com.independentsoft.graph

# Enum Class LocationType

java.lang.Object
java.lang.Enum<LocationType>
com.independentsoft.graph.LocationType

All Implemented Interfaces:
  `Serializable`, `Comparable<LocationType>`, `Constable`

public enum LocationType extends Enum<LocationType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUSINESS_ADDRESS`
  `CONFERENCE_ROOM`
  `DEFAULT`
  `GEO_COORDINATES`
  `HOME_ADDRESS`
  `HOTEL`
  `LOCAL_BUSINESS`
  `POSTAL_ADDRESS`
  `RESTAURANT`
  `STREET_ADDRESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LocationType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONFERENCE_ROOM

    public static final LocationType CONFERENCE_ROOM

  - ### HOME_ADDRESS

    public static final LocationType HOME_ADDRESS

  - ### BUSINESS_ADDRESS

    public static final LocationType BUSINESS_ADDRESS

  - ### GEO_COORDINATES

    public static final LocationType GEO_COORDINATES

  - ### STREET_ADDRESS

    public static final LocationType STREET_ADDRESS

  - ### HOTEL

    public static final LocationType HOTEL

  - ### RESTAURANT

    public static final LocationType RESTAURANT

  - ### LOCAL_BUSINESS

    public static final LocationType LOCAL_BUSINESS

  - ### POSTAL_ADDRESS

    public static final LocationType POSTAL_ADDRESS

  - ### DEFAULT

    public static final LocationType DEFAULT

- ## Method Details

  - ### values

    public static LocationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocationType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null